package ast;
public class TYPEOP extends UNARY {
   public String typeName;       // Input Attribute
   public sym.TypeSy symbol;

    public TYPEOP (int op, String typeName, int position) {
       super(position);
       this.op = op;
       this.left = null;
       this.typeName = typeName;
   }

    public TYPEOP (int op, EXPRESSION left, String typeName, int position) {
       super(position);
       this.op = op;
       this.left = left;
       this.typeName = typeName;
   }

   public String toString(int indent) {
       String s = blanks(indent) + 
                  "<TYPEOP " + 
                  "op=\"" + lexer.Token.token2string(op) +  "\" " +
                  "typeName=\"" + typeName + "\" " +
                  "\" pos=\"" + position + "\"" +
                  ">\n";
       if (left != null)
          s += left.toString(indent+1);
       s += blanks(indent) + "</TYPEOP>\n";
       return s;
   }

}

